oasis.names.tc.saml._2_0.assertion

## Class AuthnContext

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.AuthnContext

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class AuthnContext
      extends Object
      implements Serializable

  Java class for AuthnContextType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnContextType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <sequence>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextClassRef"/>
                   <choice minOccurs="0">
                     <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDecl"/>
                     <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDeclRef"/>
                   </choice>
                 </sequence>
                 <choice>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDecl"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDeclRef"/>
                 </choice>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthenticatingAuthority" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAuthenticatingAuthorities()` Gets the value of the authenticatingAuthorities property.
    `String` | `getAuthnContextClassRef()` Gets the value of the authnContextClassRef property.
    `Object` | `getAuthnContextDecl()` Gets the value of the authnContextDecl property.
    `String` | `getAuthnContextDeclRef()` Gets the value of the authnContextDeclRef property.
    `void` | `setAuthnContextClassRef(String value)` Sets the value of the authnContextClassRef property.
    `void` | `setAuthnContextDecl(Object value)` Sets the value of the authnContextDecl property.
    `void` | `setAuthnContextDeclRef(String value)` Sets the value of the authnContextDeclRef property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthnContext

          public AuthnContext()

  - ### Method Detail

    - #### getAuthnContextClassRef

          public String getAuthnContextClassRef()

      Gets the value of the authnContextClassRef property.
      Returns:
        possible object is `String`

    - #### setAuthnContextClassRef

          public void setAuthnContextClassRef(String value)

      Sets the value of the authnContextClassRef property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAuthnContextDeclRef

          public String getAuthnContextDeclRef()

      Gets the value of the authnContextDeclRef property.
      Returns:
        possible object is `String`

    - #### setAuthnContextDeclRef

          public void setAuthnContextDeclRef(String value)

      Sets the value of the authnContextDeclRef property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAuthnContextDecl

          public Object getAuthnContextDecl()

      Gets the value of the authnContextDecl property.
      Returns:
        possible object is `Object`

    - #### setAuthnContextDecl

          public void setAuthnContextDecl(Object value)

      Sets the value of the authnContextDecl property.
      Parameters:
        `value` - allowed object is `Object`

    - #### getAuthenticatingAuthorities

          public List<String> getAuthenticatingAuthorities()

      Gets the value of the authenticatingAuthorities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the authenticatingAuthorities property.

      For example, to add a new item, do as follows:

              getAuthenticatingAuthorities().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.